org.apache.thrift.meta_data

## Class StructMetaData

- java.lang.Object
- - org.apache.thrift.meta_data.FieldValueMetaData
  - - org.apache.thrift.meta_data.StructMetaData

- All Implemented Interfaces:
    java.io.Serializable

      public class StructMetaData
      extends FieldValueMetaData

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Class<? extends TBase>` | `structClass`

    - ### Fields inherited from class org.apache.thrift.meta_data.FieldValueMetaData

      `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructMetaData(byte type, java.lang.Class<? extends TBase> sClass)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.thrift.meta_data.FieldValueMetaData

      `getTypedefName, isBinary, isContainer, isStruct, isTypedef`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### structClass

          public final java.lang.Class<? extends TBase> structClass

  - ### Constructor Detail

    - #### StructMetaData

          public StructMetaData(byte type,
                        java.lang.Class<? extends TBase> sClass)